Skip to main content
GET
Get Industry Prediction Status

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The unique identifier of the Industry prediction request

Example:

"f88afcb8-f173-4230-a137-6cec3b1a099a"

Response

Successful Response

id
string<uuid>
required

Unique identifier for the NAICS prediction request.

Example:

"25c3910b-5423-46fb-bbe2-63b9a639f034"

state
enum<string>
required

The status of the NAICS prediction request

Available options:
PENDING,
EXECUTING,
COMPLETED,
FAILED,
CANCELLED
Examples:

"COMPLETED"

"FAILED"

created_at
string<date-time>
required

The date and time when the NAICS prediction request was created.

Example:

"2026-08-31T10:31:07.747451"

business_id
string<uuid> | null

The ID of the business for which the NAICS code was predicted.

Example:

"4099bc48-3ad9-46c2-99a2-c864a6ac0208"

business_search_id
string<uuid> | null

The ID of the business search from which this NAICS prediction request originated.

Example:

"98e11f83-e0a0-4ef9-8001-d39be1c00f25"

predicted_naics
PredictedNaicsResponse (v1) · object | null

The predicted NAICS code(s) for the business entity.

error
string | null

Any errors that occurred during the NAICS prediction request.

reference_id
string | null

An optional reference ID associated with this request, inherited from the parent search.

Example:

"Search1234"